# syntax=docker-registry.wikimedia.org/repos/releng/blubber/buildkit:v0.17.0
version: v4
base: docker-registry.wikimedia.org/httpd
runs: { insecurely: false }
entrypoint: [./entrypoint.sh]
variants:
  all-dependencies:
    base: docker-registry.wikimedia.org/nodejs10-devel
    copies:
      - from: local
        source: ./html/.
        destination: ./html/
      - from: local
        source: .eslintignore
        destination: .eslintignore
      - from: local
        source: .eslintrc.yml
        destination: .eslintrc.yml
      - from: local
        source: .stylelintrc
        destination: .stylelintrc
    node:
      requirements: [package.json, package-lock.json]
  npm-run:
    includes: [all-dependencies]
    entrypoint: [npm, test]
    runs:
      insecurely: true
  production:
    copies:
      - from: local
        source: ./html/.
        destination: ./html/
      - from: local
        source: ./production/.
        destination: ./

